List Agents
curl --request GET \
--url https://api.vogent.ai/api/agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vogent.ai/api/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vogent.ai/api/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"language": "<string>",
"transcriberParams": {
"type": "<string>",
"keywords": [
"<string>"
]
},
"metadata": {},
"utteranceDetectorConfig": {
"interruptionPlayTimeMs": 123
},
"endpointDetectorConfig": {},
"ivrConfiguration": {
"versionedPromptId": "<string>",
"aiVoiceId": "<string>",
"taggingText": "<string>"
},
"idleMessageConfig": {
"enabled": true,
"messages": [
"<string>"
],
"idleDurationMilliseconds": 5001,
"maxIdleMessages": 2
},
"maxDurationSeconds": 10800,
"timeoutMessage": "<string>",
"timeoutBehaviorConfiguration": {
"transferNumber": "<string>"
},
"defaultVoiceId": "<string>",
"defaultVersionedPromptId": "<string>",
"defaultExtractorId": "<string>",
"linkedFunctionDefinitions": [
{
"functionDefinitionId": "<string>",
"lifecycleMessagesOverride": {
"started": [
"<string>"
]
}
}
],
"fillEmptyStringVariables": true,
"silenceHangupConfiguration": {
"silenceDurationSeconds": 123
},
"ivrSilenceHangupConfiguration": {
"silenceDurationSeconds": 123
},
"voiceOptionValues": [
{
"optionId": "<string>",
"value": "<string>"
}
]
}
],
"cursor": "<string>"
}Agents
List Agents
List the agents on your account.
GET
/
agents
List Agents
Authorizations
In the form Bearer <api_key_here>. You can find your api key in your dashboard.
Query Parameters
The maximum number of records to fetch.
The pagination cursor returned by the previous request. Feed the result provided by vogent verbatim.
⌘I